Change the Snaplex of a task
PATCH https://{controlplane_path}/api/1/rest/public/task/plex
This API changes the Snaplex associated with a task.
Prerequisites
- Environment (Org) admin permissions
Path parameters
| Key | Description |
|---|---|
controlplane_path |
Required. The path to the SnapLogic control plane:
elastic.snaplogic.com
For the UAT or EMEA control plane, substitute the name for elastic. For
example:
|
Query parameters
None.
Request header
In the request header, specify Basic for authorization, add your credentials (Login and password of your SnapLogic user or service account), and specify application/json for content type.
For more details on accounts refer to Manage accounts.
Authorization: Basic {base64_encoded <email>:<password>}
Content-Type: application/json
Example of Basic authentication using Postman
When using JWT authentication, the API requests includes specific headers. In the
request header, specify Bearer Token for authorization, add the token,
and specify application/json for content type. These headers are
automatically added when you configure bearer token authentication in your API client.
The authorization header contains the word Bearer followed by a
space and your JWT token.
Authorization: Bearer Token {token}
Content-Type: application/json
Example of JWT authenthication using Postman
Request body
{
"task_path": "...",
"project_path": "...",
"runtime_path_id": "..."
}
| Key | Type | Description |
|---|---|---|
task_path |
string | The path to the specific task to be updated.
Format: Important: The path comparison is case-sensitive.
If |
project_path |
string | The path to the project to be updated. All tasks within the project are updated.
Format: Important: The path comparison is case-sensitive.
If |
runtime_path_id
|
string | The identifier of the Snaplex.
Format: |
Response
{
"success": [ ... ],
"failed": [ ... ]
}
| Key | Type | Description |
|---|---|---|
success |
array | An array of strings containing the paths to the tasks that were successfully updated. |
failed |
array | An array of strings containing the paths to the tasks that were not updated. |